function v=cleanUnAnimityCycleVector(UnanimityCycleVector)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns UnanimityCycleVector which is stripped of zeros (rep. in %
% which unanimity is not reached; prerequisite for computation of  %
% mean agreement cycle                                             %
%                                                                  %
% Input: UnanimityCycleVector := vector of cycles in which         %
% unanimity is reached, if not reached elements are zero           %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), August 24th 2006     %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

nRep=length(UnanimityCycleVector(1,:));     %number of repetitions
ClUnanimityCycleVector=[];

i=1;

for i=1:nRep
    if UnanimityCycleVector(1,i) ~= 0
        ClUnanimityCycleVector=[ClUnanimityCycleVector UnanimityCycleVector(1,i)];
    end
    i=i+1;
end
      
v=ClUnanimityCycleVector;


        