function v=drawListWithoutReplacement(k,List)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns vector of 'k' values drawn from vector 'list' without    %
% replacement; if 'k' = length(list), the returned vector is       %
% shuffled uniform randomly                                        %
%                                                                  %
% INPUT: k := number of elements to draw; List := (n,1) vector of  %
% elements to draw from                                            %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), August 29th 2006     %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

nItems=length(List(:,1));                       %lenght of list
DrawIndicator=zeros(nItems,1);                  %indicator vector wether item has already been drawn
nDraws=0;                                       %n of accomplished draws
ReturnList=zeros(k,1);                          %list to be returned


i=1;
while i<k+1                                       %for number of draws
    rDraw=ceil(rand(1)*nItems);                 %generate a random number between 1 and nItmes
    
    if DrawIndicator(rDraw,1)==0                %if a random item has not already been drawn
        ReturnList(i,1)=List(rDraw,1);          %add this item to the return list
        DrawIndicator(rDraw,1)=1;               %mark the item as drawn
        i=i+1;                                  %and move on to next item of the list to be returned
    end
end

v=ReturnList;
