function v=equilibriumCycle(Trajectory)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns number of cycle in which eqilibrium is reached           %
%                                                                  %
% Input: Trajectory := decision Trajectory of simulation run       %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), December 5th 2006    %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

k=length(Trajectory(:,1));                  %number of agents
n=length(Trajectory(1,:));                  %duration of run
equiCyc=0;


i=1;
for i=1:n+1                                                           %for all cycles
    if i==n                                                            %if 
        break
    else
        if equiCyc==0;                                                  %check wether equilibrium has already been found
            j=1;
            for j=1:k                                                   %for all agents
                if Trajectory(j,i)~=Trajectory(j,i+1)                   %if agent has not stopped deciding
                    break                                               %move on to the next cycle
                else                                                    %else
                    if j==k                                             %check wether stopping is true for all agents
                        equiCyc=i;                                      %if yes, remember cycle
                        break                                           %and bail out
                    else
                        j=j+1;                                              %or look at the next agent
                    end
                end
            end
            i=i+1;
        else
            break
        end
    end
end
v=equiCyc;

