function v=contactAll(ContactType,contactIndicator,Weights,Contacts)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns matrix of agents contact according to 'contact all'      %
% heuristic;  Contacts -> selected (all) incoming influences       %
% (cues), selfweight is considered                                 %
%                                                                  %
% Input: ContactType := vector of agent type with regard to used   %
% contact heuristic; contactIndicator := indicator vector for      %
% respective contact heuristic; Weights := Matrix of influence     %
% weights (cue values); Contacts := Matrix of realized contacts    %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), July 11th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


n=length(Weights(1,:));                                %N Agents
C=Contacts;                                            
%C=zeros(n,n);


i=1;
j=1;

for i=1:n                                               %for all agents
    j=1;
    for j=1:n                                           %and associated contacts
        if ContactType(i,1) == contactIndicator         %if agent is a 'contact all'
            C(j,i)=Weights(j,i);                        %contact all neighbours
        end
        j=j+1;    
    end
    i=i+1;
end
    
v=C;
