function v=contactMinimalist(ContactType,contactIndicator,Weights,Contacts)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns matrix of agents contact according to 'minimalist'       %
% heuristic;  Contacts -> selected incoming influences             %
%                                                                  %
% Input: ContactTtype := vector of agent type with regard to used  %
% contact heuristic; contactIndicator := indicator vector for      %
% respective contact heuristic; Weights := Matrix of influence     %
% weights (cue values); Contacts := Matrix of realized contacts    %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), July 11th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(Weights(1,:));                                %N Agents
C=Contacts;                                            
C=zeros(n,n);

i=1;
j=1;

for i=1:n                                              %for all agents 
    if ContactType(i,1) == contactIndicator            %if agent is a 'minimalist'
        r=ceil(rand(1)*(n));                           %compute a random number between 1 and n
        while Weights(r,i) == 0                        %which does not indicate a inbound zero link
            r=ceil(rand(1)*(n));
        end
        C(r,i)=Weights(r,i);                           %choose this inbound random link as contact
    end
    i=i+1;
end  

v=C;