function v=contactTakeTheBest(ContactType,contactIndicator,Weights,Contacts)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns matrix of agents contact according to 'take the best'    %
% heuristic; Contacts -> selected incoming influences, selfweight  %
% is considered                                                    %
%                                                                  %
% Input: ContactTtype := vector of agent type with regard to used  %
% contact heuristic; contactIndicator := indicator vector for      %
% respective contact heuristic; Weights := Matrix of influence     %
% weights (cue values); Contacts := Matrix of realized contacts    %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), July 11th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(Weights(1,:));                                %N Agents
C=Contacts;                                            
%C=zeros(n,n);

[SW,IX] = sort(Weights,1);                              %Sort (ascending) Contacts over columns (receiving node), 
                                                       %return sorted matrix and indices
                                       
i=1;
j=1;

for i=1:n                                              %for all agents 
    if ContactType(i,1) == contactIndicator            %if agent employs 'take the best'
        C(IX(n,i),i)=Weights(IX(n,i),i);               %Choose for contact the one sorted as last, i.e. the most valid neighboring agent
    end 
    i=i+1;
end  

v=C;