function v=valueObjectiveUniform(A)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns adjacency matrix with uniform random values, including   %
% the diagonal (selfweight); agents exert identical influence cue  %
% on his neighbours (rows contain identcial values)                &
% Input: A := Adjacency Matrix;                                    %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), July 10th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


n=length(A(1,:));
V=zeros(n,n);

i=1;
j=1;

for i=1:n                   %for all agents
    r=rand(1);              %assign a random influence (cue)
    for j=1:n               %on all the others
        if A(i,j)~=0        %who are neighbours
            V(i,j)=r;
        end
        j=j+1;    
    end
    i=i+1;
end

v=V;