function v=buildPoisson(n,p)

%Requires m-Files: NONE
%Returns Possion-Random Graph with "n" nodes and a probability "p" of a
%reciprocated link
%Gero.Schwenk@web.de 31.05.2006

matrix=zeros(n,n)   ;               %build a matrix

for k=1:n                           %Go through all cells
    for l=1:n                       % "     "       "
        if k == l                   %Diagonal is always 1
            matrix(k,l)=1;
        elseif k < l                %Execute only for below the diagonal
            r=rand(1);              %Uniform random number
            if r <= p
                matrix(k,l)=1;      %Set to 1 with probability p
                matrix(l,k)=1;      %set reciprocated link (above diagonal) to 1, too
            elseif r > p
                matrix(k,l)=0;      %same procedure for no-link-case
                matrix(l,k)=0;
            end
        end
    end
end

v=matrix;