function v=valueNormalSWGeneric(A,mu,sigma,muSW,sigmaSW)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns adjacency matrix with normal random values (exp.= mu,    % 
% std.dev = sigma); the diagonal (self weights) follow a generic   %
% normal regime                                                    %
% Input: A := Adjacency Matrix; mu := normal mean; sigma := normal %
% variance; muSW := normal mean of self weights; sigmaSW normal    %
% variance of self weights                                         %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), June 12th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(A(1,:));
V=zeros(n,n);
i=1;
j=1;

for i=1:n
    for j=1:n
        r=randn(1);
        if i ~= j               %IF NOT IN DIAGONAL
            if A(i,j)==1        %IF RELATION EXISTENT
                V(i,j)=(r*sigma)+mu;       %SET NORMAL RANDOM WEIGHT
                %V(j,i)=r;      %SYMMETRISIZE VALUES
            end
        else 
            V(i,j)=(r*sigmaSW)+muSW;     %SET GENERIC RANDOM NORMAL SELFWEIGHT 
        end
        j=j+1;
    end
    i=i+1;
end

v=V;