function v=valueUniform(A)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns adjacency matrix with uniform random values and a one    %
% diagonal (selfweight)                                            %
% Input: A := Adjacency Matrix                                     %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), June 12th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n=length(A(1,:));
V=zeros(n,n);
i=1;
j=1;

for i=1:n
    for j=1:n
        r=rand(1);
        if i ~= j               %IF NOT IN DIAGONAL
            if A(i,j)==1        %IF RELATION EXISTENT
                V(i,j)=r;       %SET UNIFORM RANDOM WEIGHT
                %V(j,i)=r;      %SYMMETRISIZE VALUES
            end
        else 
            V(i,j)=1;           %SET SELFWEIGHT TO ONE
        end
        j=j+1;
    end
    i=i+1;
end

v=V;