tic;                        %start timer
clear;                      %clear workspace

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%PARAMETERS:
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


    nc=30;                  %number of cycles;
    cycviz=10;              %number of cycles visible in decision bar graph
    a=4;                    %number of alternatives
    n=10;                   %number of nodes
    t=3;                    %information capacity
    
%build preferential

    d=5;                    %minimum degree of network nodes
    
%build small world

    dh=1;                   %number of connections on each side
    p=0.2;                  %probability of rewiring
    
   
%%%%%%%%%%%%%%%%%5%%%%%%%%%%%%%%%%%
%INSTRUCTIONS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  

%build preferential attachment-------------------------
    
    %A=prefAtt(n,d);                                    %scale free graph

%build complete

    %A=buildComplete(n);                                %%%%%%complete Graph
    
%build small world
    
    A=smallWorld(n,dh,p);                               %small world graph
    
%value graph-------------------------------------------

    Weights=valueObjectiveUniform(A)                   %assign uniform competencies 
    
    
%build uniform random initial decisions----------------

    Decisions=initializeDecisionsUniform(n,a);
    DInit=Decisions;

%determine agent type:all; CminimalistTallied; TTB-----

    ContactType=ones(n,1);
    Type=ones(n,1);
    contactIndicator=1;
    indicator=1;
    
%initialize output trajectory--------------------------

    TRA=DInit;                                          %initial decisions
 
%simulate----------------------------------------------
%simulate----------------------------------------------
%simulate----------------------------------------------
    
    cyc=1;
    for cyc=1:nc                                        %SIMULATE FOR nc CYCLES
        
        %cyc    
    
    
%select contacts---------------------------------------

        Contacts=zeros(n,n);                            %stepwise dependence might be possible
        Contacts=contactMinimalistTallied(ContactType,contactIndicator,Weights,Contacts,t);     %contact at Random

%choose from socially cued alternatives----------------

        Decisions=WAMr(Type,indicator,Contacts,Decisions,a);   %WAMr-random change if tie
        
                                                            
%track results-----------------------------------------
                                                        
        TRA=[TRA, Decisions];                           %build trajectory
                                                        %concatenate past and present
                                                        %[n,1]-matrices are
                                                        %concatenated cyc
                                                        %times;
    end

%end simulate------------------------------------------
%end simulate------------------------------------------
%end simulate------------------------------------------   
    
%plot results------------------------------------------    
    
   Taxis=1:1:nc+1;                                     %build a time axis
    PD=computeProportion(TRA,n,a,nc);                   %build matrix of decision proportions over time
    
    subplot(2,1,1); plot(Taxis,TRA, '--square');        %plot results; alternative styles: '-',':','o','*'
    xlabel('cycle')
    ylabel('decision indicator')
    title('Trajectories of Agents Decisions')
    
    
    subplot(2,1,2); bar(PD(:,1:cycviz+1).')             %plot bar graph of decision proportions
    xlabel('cycle')
    ylabel('proportion')
    title('Decision Distribuition over Time')
    
%end run-----------------------------------------------

    NoCycles=cyc                                        %Return total number of cycles
    toc;                                                %Return elapsed time