%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% COMPUTES  "graphicsRun2"                                         %
% which returns graphics of trajectory                             %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), September 27th 2006  %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

tic

%----REPETITIONS
rep=1;

%----PARAMETERS
nUpdates=30;
nAgents=9;
nAlternatives=3;
tallying=3;
contactUniform=1;
decisionUniform=1;
networkType=4;                                          %network type: 1-complete, 2-poisson, 3-scale free, 4-small world
connectionProbPoisson=0.2;
minDegreePref=5;
halfDimensionSmallWorld=2;
probRewireSmallWorld=0.1;
contactType=2;                                          %ContactTypes: 1-minimalistTallied, 2-all,3-TTB, 4-BE, 5-take proportional
decisionType=4;                                         %DecisionTypes: 1-conditionalMinimalist, 2-TTB, 3-UWM, 4-WAM, 5-take proportional

%ExList=[0.9;0.78;0.67;0.6;0.57;0.55;0.53;0.51;0.5];    %Condition: 9 Agents Shape JFlat
%ExList=[0.9;0.7;0.58;0.55;0.54;0.53;0.52;0.51;0.50];   %Condition: 9 Agents Shape JSteep
%ExList=[0.9;0.88;0.86;0.84;0.82;0.80;0.78;0.76;0.74];  %Contition: 9 Agents Shape Linear High
ExList=[0.7;0.68;0.66;0.64;0.62;0.60;0.58;0.56;0.54];   %Contition: 9 Agents Shape Linear Low

IniDecList=[1;1;1;2;2;2;3;3;3];                         %Condition: 9 Agents, uniform initial decision frequency distribution
%IniDecList=[1;1;1;1;2;2;2;3;3];                          %Condition: 9 Agents, flat initial decision frequency distribution
%IniDecList=[1;1;1;1;1;1;2;2;3];                          %Condition: 9 Agents, steep initial decision frequency distribution

%----auxiliary parameters

global Weights;                                  %declaration "global" in main- and subfunctions makes "Weights" globally availiable;
                                                 %necessary for determination of expertize
                                        
all=0;                                           %parameters of proportionOpinionChange
experts=1;

allExperts=0;                                    %parameters of determineCompromiseQuality
bestExpert=1;

%----INSTRUCTIONS

UnanimityCycleVector=zeros(1,rep);               %vector of n(cycle) in which unanimity is reached
unAnimityVector=zeros(1,rep);                    %vector indicators (1/0) wether 1animity is reached        
twoAnimityVector=zeros(1,rep);                   %vector indicators (1/0) wether 2animity is reached
threeAnimityVector=zeros(1,rep);                 %vector indicators (1/0) wether 3animity is reached
proportionChangesVector=zeros(1,rep);            %vector of proportions of decision changes (all)
proportionExpertChangesVector=zeros(1,rep);      %vector of proportions of decision changes (experts)
CompromiseQualityVector=zeros(1,rep);            %vector of indicators (1/2, 0) wether unianimous decison differs from expert initial decision
CompromiseQualityVectorAllExperts=zeros(1,rep);  %vector of indicators (1/2, 0) wether unianimous decison differs from experts mode initial decision


k=1;
for k=1:rep                         %REPEAT SIMULATIONS AND COMPUTE AGGREGATE RESULTS
     
    %----compute trajectory
    
    Trajectory=graphicsRunTwo(nUpdates,nAgents,nAlternatives,tallying,contactUniform,decisionUniform,networkType,connectionProbPoisson,minDegreePref,halfDimensionSmallWorld,probRewireSmallWorld,contactType,decisionType,ExList,IniDecList);                  
       
    %----increment loop
    
    k=k+1;
    
end                                 %END REPEAT SIMULATIONS

NoRep=rep                                 %output n repetitions
toc                                 %output time

%-----------plot ajacency matrix / trajectory is plotted in "graphicsRunHetero-------------------

figure
subplot(2,1,1); spy(Weights);             %plot binary adjacency matrix
    xlabel('Receiving Agent')
    ylabel('Exerting Agent')
    title('Adjacency Pattern')

subplot(2,1,2); stem3(Weights);             %plot weighted adjacency matrix
    xlabel('Receiving Agent')
    ylabel('Exerting Agent')
    zlabel('Weight')
    title('Weighted Ajacency Pattern')

    
    
