%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% COMPUTES  "graphicsRun3"; includes 9, 21 and 31 agents scenarios %
% which returns graphics of trajectory                             %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), November 16th 2006  %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

tic

%----REPETITIONS
rep=1;

%----PARAMETERS
nUpdates=20;
nAgents=21;
nAlternatives=3;
tallying=3;
contactUniform=1;
decisionUniform=1;
networkType=4;                                          %network type: 1-complete, 2-poisson, 3-scale free, 4-small world
connectionProbPoisson=0.2;
minDegreePref=4;
halfDimensionSmallWorld=2;
probRewireSmallWorld=0.1;
contactType=2                                          %ContactTypes: 1-minimalistTallied, 2-all,3-TTB, 4-BE, 5-take proportional
decisionType=3;                                         %DecisionTypes: 1-conditionalMinimalist, 2-TTB, 3-UWM, 4-WAM, 5-take proportional

%ExList=[0.9;0.78;0.67;0.6;0.57;0.55;0.53;0.51;0.5];    %Condition: 9 Agents Shape JFlat
%ExList=[0.9;0.7;0.58;0.55;0.54;0.53;0.52;0.51;0.50];   %Condition: 9 Agents Shape JSteep
%ExList=[0.9;0.88;0.86;0.84;0.82;0.80;0.78;0.76;0.74];  %Contition: 9 Agents Shape Linear High
%ExList=[0.7;0.68;0.66;0.64;0.62;0.60;0.58;0.56;0.54];  %Contition: 9 Agents Shape Linear Low

%IniDecList=[1;1;1;2;2;2;3;3;3];                         %Condition: 9 Agents, uniform initial decision frequency distribution
%IniDecList=[1;1;1;1;2;2;2;3;3];                         %Condition: 9 Agents, flat initial decision frequency distribution
%IniDecList=[1;1;1;1;1;1;2;2;3];                         %Condition: 9 Agents, steep initial decision frequency distribution

%ExList=[0.9;0.84;0.78;0.72;0.67;0.63;0.6;0.585;0.57;0.56;0.55;0.54;0.53;0.52;0.51;0.5;0.49;0.485;0.482;0.481;0.48]; %JFlat 21
ExList=[0.9;0.8;0.7;0.62;0.58;0.55;0.53;0.52;0.515;0.51;0.505;0.5;0.497;0.494;0.491;0.488;0.486;0.484;0.482;0.481;0.48]; %JSteep 21
%ExList=[0.9;0.892;0.884;0.876;0.868;0.86;0.852;0.844;0.836;0.828;0.82;0.812;0.804;0.796;0.788;0.78;0.772;0.764;0.756;0.748;0.74]; %LinHigh 21
%ExList=[0.7;0.692;0.684;0.676;0.668;0.66;0.652;0.644;0.636;0.628;0.62;0.612;0.604;0.596;0.588;0.58;0.572;0.564;0.556;0.548;0.54]; %LinLow 21

IniDecList=[1;1;1;1;1;1;1;2;2;2;2;2;2;2;3;3;3;3;3;3;3]; % 21 Agents / Uniform


%ExList=[0.9;0.82;0.77;0.72;0.69;0.67;0.65;0.62;0.61;0.6;0.59;0.58;0.57;0.56;0.55;0.545;0.54;0.535;0.53;0.525;0.52;0.515;0.51;0.505;0.5;0.497;0.494;0.491;0.488;0.485;0.482]; %JFlat 31
%ExList=[0.9;0.8;0.72;0.64;0.6;0.56;0.52;0.51;0.5;0.495;0.49;0.488;0.486;0.484;0.483;0.482;0.481;0.481;0.48;0.48;0.479;0.479;0.478;0.478;0.477;0.477;0.476;0.475;0.475;0.474;0.474]; %JSteep 31
%ExList=[0.9;0.894;0.888;0.882;0.876;0.87;0.864;0.858;0.852;0.846;0.84;0.834;0.828;0.822;0.816;0.81;0.804;0.798;0.792;0.786;0.78;0.774;0.768;0.762;0.756;0.75;0.744;0.738;0.732;0.726;0.72]; %LinHigh 31
%ExList=[0.7;0.694;0.688;0.682;0.676;0.67;0.664;0.658;0.652;0.646;0.64;0.634;0.628;0.622;0.616;0.61;0.604;0.598;0.592;0.586;0.58;0.574;0.568;0.562;0.556;0.55;0.544;0.538;0.532;0.526;0.52]; %LinLow 31

%IniDecList=[1;1;1;1;1;1;1;1;1;1;2;2;2;2;2;2;2;2;2;2;3;3;3;3;3;3;3;3;3;3;3]; %31 Agents / Uniform
        
%----auxiliary parameters

global Weights;                                  %declaration "global" in main- and subfunctions makes "Weights" globally availiable;
                                                 %necessary for determination of expertize
                                        
all=0;                                           %parameters of proportionOpinionChange
experts=1;

allExperts=0;                                    %parameters of determineCompromiseQuality
bestExpert=1;

%----INSTRUCTIONS

UnanimityCycleVector=zeros(1,rep);               %vector of n(cycle) in which unanimity is reached ALL THE FOLLOWING ARE INITIALIZATIONS
unAnimityVector=zeros(1,rep);                    %vector indicators (1/0) wether 1animity is reached        
twoAnimityVector=zeros(1,rep);                   %vector indicators (1/0) wether 2animity is reached
threeAnimityVector=zeros(1,rep);                 %vector indicators (1/0) wether 3animity is reached
proportionChangesVector=zeros(1,rep);            %vector of proportions of decision changes (all)
proportionExpertChangesVector=zeros(1,rep);      %vector of proportions of decision changes (experts)
CompromiseQualityVector=zeros(1,rep);            %vector of indicators (1/2, 0) wether unianimous decison differs from expert initial decision
CompromiseQualityVectorAllExperts=zeros(1,rep);  %vector of indicators (1/2, 0) wether unianimous decison differs from experts mode initial decision


k=1;
for k=1:rep                         %REPEAT SIMULATIONS AND COMPUTE AGGREGATE RESULTS
     
    %----compute trajectory
    
    Trajectory=graphicsRunTwo(nUpdates,nAgents,nAlternatives,tallying,contactUniform,decisionUniform,networkType,connectionProbPoisson,minDegreePref,halfDimensionSmallWorld,probRewireSmallWorld,contactType,decisionType,ExList,IniDecList);                  
    
    EquilibriumAtCycle=equilibriumCycle(Trajectory)       %output equilibrium cycle
    
    %----increment loop
    
    k=k+1;
    
end                                 %END REPEAT SIMULATIONS

NoRep=rep                                 %output n repetitions
toc                                 %output time

%-----------plot ajacency matrix / trajectory is plotted in "graphicsRunHetero-------------------

figure
subplot(2,1,1); spy(Weights);             %plot binary adjacency matrix
    xlabel('Receiving Agent')
    ylabel('Exerting Agent')
    title('Adjacency Pattern')

subplot(2,1,2); stem3(Weights);             %plot weighted adjacency matrix
    xlabel('Receiving Agent')
    ylabel('Exerting Agent')
    zlabel('Weight')
    title('Weighted Ajacency Pattern')

    
    
